import 'package:flutter/material.dart';

class POPDialog extends StatefulWidget {
  final String pin;
  final Function(String pin,) onSubmit;

  POPDialog({Key? key, required this.pin, required this.onSubmit}) : super(key: key);

  @override
  POPDialogState createState() => POPDialogState();
}

class POPDialogState extends State<POPDialog> {
  String pin = '';
  final _formKey = GlobalKey<FormState>();

  @override
  void initState() {
    super.initState();
    pin = widget.pin;
  }

  @override
  Widget build(BuildContext context) {
    return Dialog(
      elevation: 5,
      backgroundColor: Colors.white,
      shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(10.0)), //this right here
      child: Container(
        height: 320,
        color: Colors.transparent,
        child: Padding(
          padding: const EdgeInsets.all(20.0),
          child: Form(
            key: _formKey,
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                Text('Enter Proof of Possession',
                    style: Theme.of(context).textTheme.bodyText2),
                SizedBox(
                  height: 20.0,
                ),
                TextFormField(
                    onSaved: (text) {
                      pin = text!;
                    },
                    initialValue: widget.pin,
                    decoration: InputDecoration(
                        border: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(5),
                            borderSide: BorderSide(
                              color: Theme.of(context).colorScheme.secondary,
                              width: 1,
                            )))),
                SizedBox(
                  height: 10.0,
                ),
                SizedBox(
                  width: double.infinity,
                  height: 50.0,
                  child: MaterialButton(
                      child: Text('Verify'),
                      color: Colors.redAccent,
                      onPressed: ()
                      {
                        if (_formKey.currentState!.validate())
                        {
                          _formKey.currentState!.save();
                          if (widget.onSubmit != null)
                          {
                            widget.onSubmit(pin);
                          }
                          Navigator.of(context).pop();
                        }
                      }),
                )
              ],
            ),
          ),
        ),
      ),
    );
  }
}
